The POS Invoice Item object
Attributes
Unique identifier for the object.
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
{
"id": "p-o-s-invoice-item_abc123",
"idx": 1,
"pos_invoice_id": "pos_invoice_id_example",
"barcode": "barcode_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"customer_item_code": "customer_item_code_example",
"description": "description_example",
"item_group": "item_group_example",
"brand": "brand_example",
"image": "image_example",
"image_view": "image_view_example",
"qty": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 0,
"stock_qty": 0,
"price_list_rate": 0,
"base_price_list_rate": 0,
"margin_type": "margin_type_example",
"margin_rate_or_amount": 0,
"rate_with_margin": 0,
"discount_percentage": 0,
"discount_amount": 0,
"base_rate_with_margin": 0,
"rate": 0,
"amount": 0,
"item_tax_template": "item_tax_template_example",
"base_rate": 0,
"base_amount": 0,
"pricing_rules": "pricing_rules_example",
"is_free_item": false,
"net_rate": 0,
"net_amount": 0,
"base_net_rate": 0,
"base_net_amount": 0,
"delivered_by_supplier": false,
"income_account": "income_account_example",
"is_fixed_asset": false,
"asset": "asset_example",
"finance_book": "finance_book_example",
"expense_account": "expense_account_example",
"deferred_revenue_account": "deferred_revenue_account_example",
"service_stop_date": "2024-01-15",
"enable_deferred_revenue": false,
"service_start_date": "2024-01-15",
"service_end_date": "2024-01-15",
"weight_per_unit": 0,
"total_weight": 0,
"weight_uom": "weight_uom_example",
"warehouse": "warehouse_example",
"target_warehouse": "target_warehouse_example",
"quality_inspection": "quality_inspection_example",
"batch_no": "batch_no_example",
"allow_zero_valuation_rate": false,
"serial_no": "serial_no_example",
"item_tax_rate": "item_tax_rate_example",
"actual_batch_qty": 0,
"actual_qty": 0,
"sales_order": "sales_order_example",
"so_detail": "so_detail_example",
"delivery_note": "delivery_note_example",
"dn_detail": "dn_detail_example",
"delivered_qty": 0,
"cost_center": "cost_center_example",
"page_break": false,
"project": "project_example",
"pos_invoice_item": "pos_invoice_item_example",
"grant_commission": false,
"has_item_scanned": false,
"serial_and_batch_bundle": "serial_and_batch_bundle_example",
"use_serial_batch_fields": false,
"distributed_discount_amount": 0
} /api/accounts/p-o-s-invoice-item?parent_id={id} List pos invoice items by parent
Returns all pos invoice items belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of pos invoice item objects belonging to the parent.
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-item?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "p-o-s-invoice-item_abc123",
"idx": 1,
"pos_invoice_id": "pos_invoice_id_example",
"barcode": "barcode_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"customer_item_code": "customer_item_code_example",
"description": "description_example",
"item_group": "item_group_example",
"brand": "brand_example",
"image": "image_example",
"image_view": "image_view_example",
"qty": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 0,
"stock_qty": 0,
"price_list_rate": 0,
"base_price_list_rate": 0,
"margin_type": "margin_type_example",
"margin_rate_or_amount": 0,
"rate_with_margin": 0,
"discount_percentage": 0,
"discount_amount": 0,
"base_rate_with_margin": 0,
"rate": 0,
"amount": 0,
"item_tax_template": "item_tax_template_example",
"base_rate": 0,
"base_amount": 0,
"pricing_rules": "pricing_rules_example",
"is_free_item": false,
"net_rate": 0,
"net_amount": 0,
"base_net_rate": 0,
"base_net_amount": 0,
"delivered_by_supplier": false,
"income_account": "income_account_example",
"is_fixed_asset": false,
"asset": "asset_example",
"finance_book": "finance_book_example",
"expense_account": "expense_account_example",
"deferred_revenue_account": "deferred_revenue_account_example",
"service_stop_date": "2024-01-15",
"enable_deferred_revenue": false,
"service_start_date": "2024-01-15",
"service_end_date": "2024-01-15",
"weight_per_unit": 0,
"total_weight": 0,
"weight_uom": "weight_uom_example",
"warehouse": "warehouse_example",
"target_warehouse": "target_warehouse_example",
"quality_inspection": "quality_inspection_example",
"batch_no": "batch_no_example",
"allow_zero_valuation_rate": false,
"serial_no": "serial_no_example",
"item_tax_rate": "item_tax_rate_example",
"actual_batch_qty": 0,
"actual_qty": 0,
"sales_order": "sales_order_example",
"so_detail": "so_detail_example",
"delivery_note": "delivery_note_example",
"dn_detail": "dn_detail_example",
"delivered_qty": 0,
"cost_center": "cost_center_example",
"page_break": false,
"project": "project_example",
"pos_invoice_item": "pos_invoice_item_example",
"grant_commission": false,
"has_item_scanned": false,
"serial_and_batch_bundle": "serial_and_batch_bundle_example",
"use_serial_batch_fields": false,
"distributed_discount_amount": 0
}
],
"has_more": false,
"total": 1
} /api/accounts/p-o-s-invoice-item Create a pos invoice item
Creates a new pos invoice item object.
Body parameters
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Returns
Returns the newly created pos invoice item object if the call succeeded.
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-item \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"pos_invoice_id":"pos_invoice_id_example","item_name":"item_name_example","uom":"uom_example","conversion_factor":0,"rate":0,"amount":0,"base_rate":0,"base_amount":0,"income_account":"income_account_example","cost_center":"cost_center_example"}' {
"id": "p-o-s-invoice-item_abc123",
"idx": 1,
"pos_invoice_id": "pos_invoice_id_example",
"barcode": "barcode_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"customer_item_code": "customer_item_code_example",
"description": "description_example",
"item_group": "item_group_example",
"brand": "brand_example",
"image": "image_example",
"image_view": "image_view_example",
"qty": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 0,
"stock_qty": 0,
"price_list_rate": 0,
"base_price_list_rate": 0,
"margin_type": "margin_type_example",
"margin_rate_or_amount": 0,
"rate_with_margin": 0,
"discount_percentage": 0,
"discount_amount": 0,
"base_rate_with_margin": 0,
"rate": 0,
"amount": 0,
"item_tax_template": "item_tax_template_example",
"base_rate": 0,
"base_amount": 0,
"pricing_rules": "pricing_rules_example",
"is_free_item": false,
"net_rate": 0,
"net_amount": 0,
"base_net_rate": 0,
"base_net_amount": 0,
"delivered_by_supplier": false,
"income_account": "income_account_example",
"is_fixed_asset": false,
"asset": "asset_example",
"finance_book": "finance_book_example",
"expense_account": "expense_account_example",
"deferred_revenue_account": "deferred_revenue_account_example",
"service_stop_date": "2024-01-15",
"enable_deferred_revenue": false,
"service_start_date": "2024-01-15",
"service_end_date": "2024-01-15",
"weight_per_unit": 0,
"total_weight": 0,
"weight_uom": "weight_uom_example",
"warehouse": "warehouse_example",
"target_warehouse": "target_warehouse_example",
"quality_inspection": "quality_inspection_example",
"batch_no": "batch_no_example",
"allow_zero_valuation_rate": false,
"serial_no": "serial_no_example",
"item_tax_rate": "item_tax_rate_example",
"actual_batch_qty": 0,
"actual_qty": 0,
"sales_order": "sales_order_example",
"so_detail": "so_detail_example",
"delivery_note": "delivery_note_example",
"dn_detail": "dn_detail_example",
"delivered_qty": 0,
"cost_center": "cost_center_example",
"page_break": false,
"project": "project_example",
"pos_invoice_item": "pos_invoice_item_example",
"grant_commission": false,
"has_item_scanned": false,
"serial_and_batch_bundle": "serial_and_batch_bundle_example",
"use_serial_batch_fields": false,
"distributed_discount_amount": 0
} /api/accounts/p-o-s-invoice-item/{id} Update a pos invoice item
Updates the specified pos invoice item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the pos invoice item to update.
Body parameters
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Returns
Returns the updated pos invoice item object.
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-item/p-o-s-invoice-item_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"pos_invoice_id":"pos_invoice_id_example"}' {
"id": "p-o-s-invoice-item_abc123",
"idx": 1,
"pos_invoice_id": "pos_invoice_id_example",
"barcode": "barcode_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"customer_item_code": "customer_item_code_example",
"description": "description_example",
"item_group": "item_group_example",
"brand": "brand_example",
"image": "image_example",
"image_view": "image_view_example",
"qty": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 0,
"stock_qty": 0,
"price_list_rate": 0,
"base_price_list_rate": 0,
"margin_type": "margin_type_example",
"margin_rate_or_amount": 0,
"rate_with_margin": 0,
"discount_percentage": 0,
"discount_amount": 0,
"base_rate_with_margin": 0,
"rate": 0,
"amount": 0,
"item_tax_template": "item_tax_template_example",
"base_rate": 0,
"base_amount": 0,
"pricing_rules": "pricing_rules_example",
"is_free_item": false,
"net_rate": 0,
"net_amount": 0,
"base_net_rate": 0,
"base_net_amount": 0,
"delivered_by_supplier": false,
"income_account": "income_account_example",
"is_fixed_asset": false,
"asset": "asset_example",
"finance_book": "finance_book_example",
"expense_account": "expense_account_example",
"deferred_revenue_account": "deferred_revenue_account_example",
"service_stop_date": "2024-01-15",
"enable_deferred_revenue": false,
"service_start_date": "2024-01-15",
"service_end_date": "2024-01-15",
"weight_per_unit": 0,
"total_weight": 0,
"weight_uom": "weight_uom_example",
"warehouse": "warehouse_example",
"target_warehouse": "target_warehouse_example",
"quality_inspection": "quality_inspection_example",
"batch_no": "batch_no_example",
"allow_zero_valuation_rate": false,
"serial_no": "serial_no_example",
"item_tax_rate": "item_tax_rate_example",
"actual_batch_qty": 0,
"actual_qty": 0,
"sales_order": "sales_order_example",
"so_detail": "so_detail_example",
"delivery_note": "delivery_note_example",
"dn_detail": "dn_detail_example",
"delivered_qty": 0,
"cost_center": "cost_center_example",
"page_break": false,
"project": "project_example",
"pos_invoice_item": "pos_invoice_item_example",
"grant_commission": false,
"has_item_scanned": false,
"serial_and_batch_bundle": "serial_and_batch_bundle_example",
"use_serial_batch_fields": false,
"distributed_discount_amount": 0
} /api/accounts/p-o-s-invoice-item/{id} Delete a pos invoice item
Permanently deletes a pos invoice item. This cannot be undone.
Path parameters
The identifier of the pos invoice item to delete.
Returns
Returns a confirmation that the pos invoice item has been deleted.
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-item/p-o-s-invoice-item_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "p-o-s-invoice-item_abc123",
"deleted": true
} /api/accounts/p-o-s-invoice-item/reorder Reorder pos invoice items
Updates the sort order of pos invoice items within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-item/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "p-o-s-invoice-item_abc123",
"idx": 1,
"pos_invoice_id": "pos_invoice_id_example",
"barcode": "barcode_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"customer_item_code": "customer_item_code_example",
"description": "description_example",
"item_group": "item_group_example",
"brand": "brand_example",
"image": "image_example",
"image_view": "image_view_example",
"qty": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 0,
"stock_qty": 0,
"price_list_rate": 0,
"base_price_list_rate": 0,
"margin_type": "margin_type_example",
"margin_rate_or_amount": 0,
"rate_with_margin": 0,
"discount_percentage": 0,
"discount_amount": 0,
"base_rate_with_margin": 0,
"rate": 0,
"amount": 0,
"item_tax_template": "item_tax_template_example",
"base_rate": 0,
"base_amount": 0,
"pricing_rules": "pricing_rules_example",
"is_free_item": false,
"net_rate": 0,
"net_amount": 0,
"base_net_rate": 0,
"base_net_amount": 0,
"delivered_by_supplier": false,
"income_account": "income_account_example",
"is_fixed_asset": false,
"asset": "asset_example",
"finance_book": "finance_book_example",
"expense_account": "expense_account_example",
"deferred_revenue_account": "deferred_revenue_account_example",
"service_stop_date": "2024-01-15",
"enable_deferred_revenue": false,
"service_start_date": "2024-01-15",
"service_end_date": "2024-01-15",
"weight_per_unit": 0,
"total_weight": 0,
"weight_uom": "weight_uom_example",
"warehouse": "warehouse_example",
"target_warehouse": "target_warehouse_example",
"quality_inspection": "quality_inspection_example",
"batch_no": "batch_no_example",
"allow_zero_valuation_rate": false,
"serial_no": "serial_no_example",
"item_tax_rate": "item_tax_rate_example",
"actual_batch_qty": 0,
"actual_qty": 0,
"sales_order": "sales_order_example",
"so_detail": "so_detail_example",
"delivery_note": "delivery_note_example",
"dn_detail": "dn_detail_example",
"delivered_qty": 0,
"cost_center": "cost_center_example",
"page_break": false,
"project": "project_example",
"pos_invoice_item": "pos_invoice_item_example",
"grant_commission": false,
"has_item_scanned": false,
"serial_and_batch_bundle": "serial_and_batch_bundle_example",
"use_serial_batch_fields": false,
"distributed_discount_amount": 0
}